Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509650 - attempt `vdsm-tool remove-config --module subscription_manager` before upgrading vdsm
Summary: attempt `vdsm-tool remove-config --module subscription_manager` before upgrad...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-host-deploy
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-3.6.13
: ---
Assignee: Yedidyah Bar David
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks: 1505887
TreeView+ depends on / blocked
 
Reported: 2017-11-05 12:47 UTC by Dan Kenigsberg
Modified: 2017-11-27 13:31 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1505887
Environment:
Last Closed: 2017-11-27 13:31:00 UTC
oVirt Team: Integration


Attachments (Terms of Use)

Description Dan Kenigsberg 2017-11-05 12:47:57 UTC
+++ This bug was initially created as a clone of Bug #1505887 +++

As mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1505887#c7 we need to unset RHEL release before attempting to upgrade vdsm. Otherwise, the new vdsm with its dependencies of new RHEL would not be installable.

I suggest to run `vdsm-tool remove-config --module subscription_manager` before upgrading vdsm. vdsm-tool may not be found (if vdsm is not yet installed); the module may not be found (if the installed vdsm version is too old). Those two error should be ignored by host-deploy.

We must verify whether the upgrade manager flow require similar handling just in order to check whether an upgrade of vdsm is available.


Note You need to log in before you can comment on or make changes to this bug.